<< exp | DD: 16 bytes decimal arithmetics | ddgqr >>

DD_QD (MuPAT) >> DD_QD (MuPAT) > DD: 16 bytes decimal arithmetics > ddeye

# ddeye

Identity matrix

### Syntax

    a = ddeye(m,n)
    a = eye(DDmat)

### Parameters

m, n

  positive integers

DDmat

  matrix of DD numbers

a

  DD matrix of size [m,n] or size(DDmat), with DD ones on the diagonal.

### Description

ddeye(m,n)

  returns a `(m,n)` identity matrix of DD.

### Examples

    ddeye(1,1) //scalar
    ddeye(3,3) //matrix

### See Also

- dd — builds an array of DD numbers
- ddones — builds an array of DD numbers
- ddzeros — generates a matrix made of DD zeros

### Authors

Copyright (C) 2011 - Tsubasa Saito

Report an issue
<< exp | DD: 16 bytes decimal arithmetics | ddgqr >>